# Interface AddressWrapResponse

A response with an address for a contract name (or unusual address form).

#### Category

Requests

#### Hierarchy

- AddressWrapResponse

- Defined in codec/lib/types.ts:881

#####
Index

### Properties

address
kind
partiallyRecognized?
reason?

## Properties

### address

address: string

The address for the contract name, or null, to indicate that no such contract was found.

- Defined in codec/lib/types.ts:890

### kind

kind: "address"

Indicates that this is an AddressWrapResponse.

- Defined in codec/lib/types.ts:885

### `Optional` partiallyRecognized

partiallyRecognized?: true

If present, indicates that the input was recognized but not as a valid address.

- Defined in codec/lib/types.ts:898

### `Optional` reason

reason?: string

If present, the reason the address wasn't found.

- Defined in codec/lib/types.ts:894

Generated using TypeDoc